<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

if (!isset($user) && !isset($_GET['id'])){header("Location: /index.php?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /index.php?".SID);exit;}
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1"));
$set['title']=$ank['nick'].' - анкета '; // заголовок страницы
include_once 'sys/inc/thead.php';
title();

?>
<div class='fyt'>
<img src='/style/images/left.gif' alt='' class='icon'/> <a href='/'>Старт</a> &raquo <a href='/info.php?id=<?echo $ank['id'];?>'><?echo $ank['nick'];?></a> &raquo Анкета
</div>
<?

echo "<div class='infosm'>\n";
echo "<img src='/style/images/dolar.png'> Баллы: $ank[balls]<br />\n";
$k_them=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_t` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/images/komm.png'> Тем в форуме: $k_them<br />\n";
$k_p_forum=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_p` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/images/Forum.gif'> Сообщ. в форуме: $k_p_forum<br />\n";
$chat_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_post` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/images/chat.gif'> Сообщ. в чате: $chat_post<br />\n";

$guest3=mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/icons/guest.png'> Гостевая: $guest3<br />\n";
$mail3=mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/my_menu/mail.png' alt='' /> Приватные сообщения: $mail3<br />\n";

$news_komm=mysql_result(mysql_query("SELECT COUNT(*) FROM `news_komm` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/images/031.png'> Комментарии новостей: $news_komm<br />\n";
echo "</div>\n";

echo "<div class='infosmm'>\n";
if ($ank['ank_name']!=NULL)echo "<u>Имя:</u> ".output_text($ank['ank_name'])."<br />\n";
else
echo "<u>Имя:</u> Не заполнено<br />\n";

if ($ank['familiya']!=NULL)echo "<u>Фамилия:</u> ".output_text($ank['familiya'])."<br />\n";
else
echo "<u>Фамилия:</u> Не заполнено<br />\n";

if ($ank['pol']==1)
echo "<u>Пол:</u> Мужской<br />\n";
else
echo "<u>Пол:</u> Женский<br />\n";

if ($ank['ank_city']!=NULL)echo "<u>Город:</u> ".output_text($ank['ank_city'])."<br />\n";
else
echo "<u>Город:</u> Не заполнено<br />\n";


if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "<u>Дата рождения:</u> $ank[ank_d_r] $ank[mes] $ank[ank_g_r]г.<br />\n";
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo "<u>Возраст:</u> $ank[ank_age] лет<br />\n";
$d=$ank['ank_d_r']; 
$m=$ank['ank_m_r'];

if($m=="1" || $m=="01"){if(20<=$d){$z='Водолей';}else{$z='Козерог';}}
if($m=="2" || $m=="02"){if(19<=$d){$z='Рыба';}else{$z='Водолей';}}
if($m=="3" || $m=="03"){if(21<=$d){$z='Овен';}else{$z='Рыба';}}
if($m=="4" || $m=="04"){if(21<=$d){$z='Телец';}else{$z='Овен';}}
if($m=="5" || $m=="05"){if(21<=$d){$z='Близнецы';}else{$z='Телец';}}
if($m=="6" || $m=="06"){if(22<=$d){$z='Рак';}else{$z='Близнецы';}}
if($m=="7" || $m=="07"){if(23<=$d){$z='Лев';}else{$z='Рак';}}
if($m=="8" || $m=="08"){if(23<=$d){$z='Дева';}else{$z='Лев';}}
if($m=="9" || $m=="09"){if(23<=$d){$z='Весы';}else{$z='Дева';}}
if($m=="10"){if(23<=$d){$z='Скорпион';}else{$z='Весы';}}
if($m=="11"){if(22<=$d){$z='Стрелец';}else{$z='Скорпион';}}
if($m=="12"){if(22<=$d){$z='Козерог';}else{$z='Стрелец';}}

echo "<u>Знак зодиака:</u> $z<br />\n";

}
elseif($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL)
{
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "<u>День рождения:</u> $ank[ank_d_r] $ank[mes]<br />\n";
}
else
echo "<u>Дата рождения:</u> Не заполнено<br />\n";
################################################################################
if ($ank['ank_o_sebe']!=NULL)echo "<u>О себе:</u> ".output_text($ank['ank_o_sebe'])."<br />\n";
else
echo "<u>О себе:</u> Не заполнено<br />\n";
################################################################################
echo "</div>\n";
echo "<div class='infosm'>";
################################################################################
if ($ank['mesto_raboty']!=NULL)echo "<u>Место работы:</u> ".output_text($ank['mesto_raboty'])."<br />\n";
else
echo "<u>Место работы:</u> Не заполнено<br />\n";
################################################################################
if ($ank['interesy']!=NULL)echo "<u>Интересы:</u> ".output_text($ank['interesy'])."<br />\n";
else
echo "<u>Интересы:</u> Не заполнено<br />\n";
################################################################################
if ($ank['ucheba']!=NULL)echo "<u>Место учебы:</u> ".output_text($ank['ucheba'])."<br />\n";
else
echo "<u>Место учебы:</u> Не заполнено<br />\n";
################################################################################
echo "</div>\n";
echo "<div class='infosmm'>";
################################################################################
if ($ank['filmy']!=NULL)echo "<u>Любимые фильмы:</u> ".output_text($ank['filmy'])."<br />\n";
else
echo "<u>Любимые фильмы:</u> Не заполнено<br />\n";
################################################################################
if ($ank['music']!=NULL)echo "<u>Любимая музыка:</u> ".output_text($ank['music'])."<br />\n";
else
echo "<u>Любимая музыка:</u> Не заполнено<br />\n";
################################################################################
if ($ank['rost']!=NULL)echo "<u>Рост:</u> $ank[rost]<br />\n";
else
echo "<u>Рост:</u> Не заполнено<br />\n";
################################################################################
if ($ank['ves']!=NULL)echo "<u>Вес:</u> $ank[ves]<br />\n";
else
echo "<u>Вес:</u> Не заполнено<br />\n";
################################################################################
if ($ank['ank_c_g']!=NULL)echo "<u>Цвет глаз:</u> ".output_text($ank['ank_c_g'])."<br />\n";
else
echo "<u>Цвет глаз:</u> Не заполнено<br />\n";
################################################################################
if ($ank['ank_telo']!=NULL)echo "<u>Телосложение:</u> $ank[ank_telo]<br />\n";
else
echo "<u>Телосложение:</u> Не заполнено<br />\n";
################################################################################
if ($ank['ank_na_tele']!=NULL)echo "<u>А у меня на теле есть:</u> ".output_text($ank['ank_na_tele'])."<br />\n";
else
echo "<u>А у меня на теле есть:</u> Не заполнено<br />\n";
################################################################################
if ($ank['ank_mobila']!=NULL)echo "<u>Модель телефона:</u> ".output_text($ank['ank_mobila'])."<br />\n";
else
echo "<u>Модель телефона:</u> Не заполнено<br />\n";
################################################################################
if ($ank['ank_cel']!=NULL)echo "<u>Цель знакомства:</u> ".output_text($ank['ank_cel'])."<br />\n";
else
echo "<u>Цель знакомства:</u> Не заполнено<br />\n";
################################################################################
echo "</div>\n";
echo "<div class='infosm'>";
################################################################################
if ($ank['ank_icq']!=NULL && $ank['ank_icq']!=0)
echo "<u>ICQ:</u> <img src='http://wwp.icq.com/scripts/online.dll?icq=$ank[ank_icq]&img=5' />$ank[ank_icq]<br />\n";
else
echo "<u>ICQ:</u> Не заполнено<br />\n";

if ($ank['ank_mail']!=NULL)echo "<u>E-mail:</u> <img src='http://status.mail.ru/?$ank[ank_mail]' width='13' height='13' alt='Агент@mail.ru' border='0'><a href=\"mailto:$ank[ank_mail]\" title=\"Написать письмо\">$ank[ank_mail]</a><br />\n";
else
echo "<u>E-mail:</u> Не заполнено<br />\n";

if ($ank['ank_n_tel']!=NULL)echo "<u>Телефон:</u> $ank[ank_n_tel]<br />\n";
else
echo "<u>Телефон:</u> Не заполнено<br />\n";
echo "</div>\n";

?>
<div class='fyt'>
<img src='/style/images/left.gif' alt='' class='icon'/> <a href='/'>Старт</a> &raquo <a href='/info.php?id=<?echo $ank['id'];?>'><?echo $ank['nick'];?></a> &raquo Анкета
</div>
<?
include_once 'sys/inc/tfoot.php';
?>